commit: 8b8e33eaedd9c689573175db992000d69ae7baa4
Author: Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 13 02:17:13 2020 +0000
Commit: Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Sun Sep 13 02:17:40 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b8e33ea
dev-perl/Finance-YahooQuote: Bump to version 0.260.0
- EAPI7
- Remove unused/empty variable assignments
- Nuke network-testing logic as the upstream code is gone due to Yahoo
API being gone.
Upstream:
- Indicate Yahoo no longer supports this API
- Nuke API dependent tests
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Kent Fredric <kentnl <AT> gentoo.org>
.../Finance-YahooQuote-0.260.0.ebuild | 44 ++++++++++++++++++++++
dev-perl/Finance-YahooQuote/Manifest | 1 +
2 files changed, 45 insertions(+)
diff --git a/dev-perl/Finance-YahooQuote/Finance-YahooQuote-0.260.0.ebuild
b/dev-perl/Finance-YahooQuote/Finance-YahooQuote-0.260.0.ebuild
new file mode 100644
index 00000000000..52967e2a862
--- /dev/null
+++ b/dev-perl/Finance-YahooQuote/Finance-YahooQuote-0.260.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DIST_AUTHOR=EDD
+DIST_VERSION=0.26
+inherit perl-module
+
+DESCRIPTION="Get stock quotes from Yahoo! Finance"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+RDEPEND="
+ >=dev-perl/HTML-Parser-2.200.0
+ >=dev-perl/HTTP-Message-1.230.0
+ >=dev-perl/libwww-perl-1.620.0
+ >=virtual/perl-Text-ParseWords-3.100.0
+"
+BDEPEND="${RDEPEND}
+ virtual/perl-ExtUtils-MakeMaker
+"
+src_test() {
+ local MODULES=(
+ "Finance::YahooQuote ${DIST_VERSION}"
+ )
+ local failed=()
+ for dep in "${MODULES[@]}"; do
+ ebegin "Compile testing ${dep}"
+ perl -Mblib="${S}" -M"${dep} ()" -e1
+ eend $? || failed+=( "$dep" )
+ done
+ if [[ ${failed[@]} ]]; then
+ echo
+ eerror "One or more modules failed compile:";
+ for dep in "${failed[@]}"; do
+ eerror " ${dep}"
+ done
+ die "Failing due to module compilation errors";
+ fi
+ perl-module_src_test
+}
diff --git a/dev-perl/Finance-YahooQuote/Manifest
b/dev-perl/Finance-YahooQuote/Manifest
index 35180e2d1d7..ee30fb161fe 100644
--- a/dev-perl/Finance-YahooQuote/Manifest
+++ b/dev-perl/Finance-YahooQuote/Manifest
@@ -1 +1,2 @@
DIST Finance-YahooQuote-0.25.tar.gz 20650 BLAKE2B
5fb69ee7c82fc5f58218dae74fd7ea827a55c0cadf56db5ff744d28403998ca7ca6f65ce5b23a8dba9aec2ad397d2dc61e8f711226af82bfeab3bdae9a0ddf42
SHA512
be1d906187916a62b50775a42e6b7ead983e65d2d3738ff8c76e4fb3c4c67eb8c01f8c95f181547547ec7624119b6be41b4299731e6a8dc76ecfc1c38779bf72
+DIST Finance-YahooQuote-0.26.tar.gz 21407 BLAKE2B
2fcf0051d5825b5c6eda50239222eed375082084e333d98bab8eb4ac8dc2cabff5775e0813fb8ed919b9ea8c41d137ed3036dc08e4620e473cb2610b93729203
SHA512
c0ac83f413566b7e9f6009256fcd60315140fcecc919b92865f10da314d181ae37a4e5ab7de8cd0a7e6af83ab03b5d5d96e0d51815065c554c581e0e3d82df2c